CKEDITOR.editorConfig = function(config) {
  // 高度
  config.height = 'auto';
  // 工具栏按钮
  config.toolbar = [['Format'], ['Font'], ['FontSize'], ['Bold'], ['Italic'], ['Underline'], ['Strike'], ['TextColor'], ['BGColor'], ['NumberedList'], ['BulletedList'], ['Outdent'], ['Indent'], ['JustifyLeft'], ['JustifyCenter'], ['JustifyRight'], ['JustifyBlock'], ['imageUpload'], ['Image'], ['Table'], ['Link'], ['-'], ['HorizontalRule'], ['Blockquote'], ['-'], ['Undo'], ['Redo'], ['CopyFormatting'], ['RemoveFormat'], ['Find']];
  // 文字颜色/背景色
  config.colorButton_colorsPerRow = 9;
  config.colorButton_colors = 'e9e9e9,7b7b7b,ffc8b8,ffe1b2,fff2cc,d9ead3,dff8ff,cfc7f4,fee4ff,d9d9d9,5c5c5c,e99899,ffb84d,ffe59a,acdb7e,85d4e6,8c7be8,ee93f6,c4c4c4,333333,e06666,fb8d00,ffd966,87c120,4cc2ee,3f49b9,d041e1,9d9d9d,262626,cc0000,e75200,ffb700,678f00,0188fb,2741b1,a419d3';
  // 额外的插件：上传文件,点击链接在新标签页打开,拖拽图片边缘调整大小
  config.extraPlugins = 'imageUpload,openlink,dragresize,editorplaceholder';
  // config.editorplaceholder = 'Start typing here...';
  // 删除的插件
  config.removePlugins = 'elementspath,contextmenu,exportpdf,liststyle,tabletools,tableselection';
  // 删除的弹窗tab
  config.removeDialogTabs = 'image:advanced;image:Link;table:advanced;link:advanced;link:target;';
  // 编辑器禁止缩放
  config.resize_enabled = false;
  // 编辑器tab键空格数
  config.tabSpaces = 2;
  // 编辑器换行方式
  config.enterMode = CKEDITOR.ENTER_BR;
  config.shiftEnterMode = CKEDITOR.ENTER_P;
  // 是否可以在只读模式下打开链接
  config.openlink_enableReadOnly = true;
};
